publish:
  extends: .tagged-publish-template
  needs:
  - job: build
    artifacts: true
  - job: test
    artifacts: false
  - job: lint
    artifacts: false
  - job: audit
    artifacts: false
  - job: check-tag
    artifacts: false

test:
  extends: .unit-test-template

sync-dependencies:
  extends: .synchronize-central-dependency-registry

upgrade-downstream-repos:
  extends: .upgrade-consuming-repos
  variables:
    UPSTREAM_CRATES: bank-transaction-repository
  before_script:
    - export REPO_VERSION=$(toml get ./Cargo.toml package.version | tr -d \")